phrGetSelectedOutputFileName {phreeqc} | R Documentation

## Retrieve the name of the selected_output file.

### Description

Retrieves the name of the selected_output file. The default value is selected_nuser.0.out.

### Usage

    phrGetSelectedOutputFileName(nuser)

### Arguments

`nuser` | the user number specified in the SELECTED_OUTPUT block.

### Details

The selected_output file must be turned on using the `phrSetSelectedOutputFileOn` function.

### Value

The name of the selected_output file as a string.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Selected Output: `phrGetSelectedOutput`, `phrSetSelectedOutputFileName`, `phrSetSelectedOutputFileOn`

### Examples

    # This example equilibrates pure water with calcite at various temperatures
    # and displays the name of the selected_output file.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetSelectedOutputFileOn(1, TRUE)
    phrSetSelectedOutputFileName(1, "ex2.sel")

    input <- c(
      'SOLUTION 1 Pure water     ',
      'EQUILIBRIUM_PHASES 1      ',
      '    Calcite    0.0   1.0  ',
      'REACTION_TEMPERATURE 1    ',
      '    25.0 75.0 in 51 steps ',
      'SELECTED_OUTPUT 1         ',
      '    -temperature          ',
      '    -si     calcite       '
      )

    if (is.null(phrRunString(input))) {
      cat("see", phrGetSelectedOutputFileName(1))
    }

[Package phreeqc version 3.4.10 Index]